WordPress.org

Support

Support » Installation » Permission error when trying to upgrade?

Permission error when trying to upgrade?

  • OK, I deactivated the automatically upgrade plugin and removed it.
    When I try to upgrade now, it gives me the following on all my sites:

    Downloading update from http://wordpress.org/wordpress-2.7.1.zip

    Unpacking the core update

    Verifying the unpacked files

    Installing the latest version

    Warning: copy(/home/xxx/public_html/wordpress/wp-admin/menu.php) [function.copy]: failed to open stream: Permission denied in /home/xxx/public_html/wordpress/wp-admin/includes/class-wp-filesystem-direct.php on line 122

    Warning: copy(/home/xxx/public_html/wordpress/wp-admin/menu.php) [function.copy]: failed to open stream: Permission denied in /home/xxx/public_html/wordpress/wp-admin/includes/class-wp-filesystem-direct.php on line 122

    Could not copy file: /home/xxx/public_html/wordpress/wp-admin/menu.php

    Installation Failed

    So I tried changing permissions manually and it also works until the next copy needs to be done. Is there something I can do? I mean, it’s not really time saving…

Viewing 15 replies - 1 through 15 (of 25 total)
  • Downloading update from http://wordpress.org/wordpress-2.7.1.zip
    
    Unpacking the core update
    
    Verifying the unpacked files
    
    Installing the latest version
    
    Warning: copy(/home/xxx/public_html/xxx/wp-rdf.php) [function.copy]: failed to open stream: Permission denied in /home/xxx/public_html/xxx/wp-admin/includes/class-wp-filesystem-direct.php on line 122
    
    Warning: copy(/home/xxx/public_html/xxx/wp-rdf.php) [function.copy]: failed to open stream: Permission denied in /home/gladman/public_html/gfd/wp-admin/includes/class-wp-filesystem-direct.php on line 122
    
    Could not copy file: /home/xxx/public_html/xxx/wp-rdf.php
    
    Installation Failed

    I am getting same error…how do I recover from this error? It is telling me on the bottom of the dashboard that I using version 2.7.1.

    Same problem here, but it was the wp-atom.php that wouldn’t copy.

    Installation Failed.

    Yeehaw.

    Same or similar problem with me… Attempting to overwrite old files w/ new ones, and I have changed the permissions by hand, and they still won’t overwrite. I can’t even delete the files manually, one by one, in FTP or CPanel…

    Any ideas?

    Same here & like catholicanarchy, I can’t change the permission through FTP. Any idea?

    Same here. Nobody cares?

    i got the same issue line 122 of this file is this:

    function copy($source, $destination, $overwrite = false) {
    if( ! $overwrite && $this->exists($destination) )
    return false;
    return copy($source, $destination);
    }

    which seams to have something to do with overwriting files. I’m still fairly new to php but can you have an if statement with out {} wrapped around the statement?

    Thanks,
    Brandon

    same here!!

    any ideas on this one?

    those type of permission problems are usually due to owner of server
    apache
    you
    some assigned name by host

    with filezilla ftp client you can see owner on the far right tab on the upload pane

    also, should be able to tell from control panel of host – if not ask them to allow this function

    I am getting the same error and do not understand the above on how to fix it.

    Warning: copy(/home/xxx/public_html/blog/wp-rss.php) [function.copy]: failed to open stream: Permission denied in /home/xxxt/public_html/blog/wp-admin/includes/class-wp-filesystem-direct.php on line 122

    Warning: copy(/home/xxx/public_html/blog/wp-rss.php) [function.copy]: failed to open stream: Permission denied in /home/xxx/public_html/blog/wp-admin/includes/class-wp-filesystem-direct.php on line 122
    Could not copy file: /home/xxx/public_html/blog/wp-rss.php

    I’m starting to feel like I’m talking to myself here

    Can someone tell me JUST what the PERMISSIONS should be set at?? And where??

    /home/xxxt/public_html/blog/wp-admin/includes/class-wp-filesystem-direct.php

    This is set to 777 and I’m still getting the same error above. I would like to upgrade but the lack of help to this issue is making it hard right now.

    I’ve just checked perms and ownership on mine and the others that are failing.
    I’m the owner on all files and folders apart from the uploads folder and any plugins that have been installed automatically.

    Don’t know if it will help you, but I found a solution to my problem.

    My folders were set to 555 instead of 755. I changed them to 755 and ran the upgrader again and it worked.

    Wrong: 555 – /home/***/public_html/example.com
    Right: 755 – /home/***/public_html/example.com

    Hope it helps.
    Brandon Hopkins
    [sig link moderated. please don’t]

    I’m also getting the same error. Checked the permissions. Can’t figure it out.

    i got another error message
    500 ‘SITE CHMOD 0777 wp-content’: command not understood
    : /asfagraphy/ap/0777 wp-content

Viewing 15 replies - 1 through 15 (of 25 total)
  • The topic ‘Permission error when trying to upgrade?’ is closed to new replies.
Skip to toolbar